<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion> 
    <groupId>org.inra.ecoinfo</groupId>
    <artifactId>kernel-embedded-postgresql</artifactId>
    <version>1.2</version>
    <name>kernel-embedded-postgresql</name>
    <packaging>jar</packaging>
    <properties>
        <scm.tags.embedded-postgresql>tags/embedded-postgresql</scm.tags.embedded-postgresql>
        <scm.tags.1709>tags/1709</scm.tags.1709>
        <scm.branch.1709>branches/1709</scm.branch.1709>
        <scm.branch.build-tools>branches/embedded-postgresql</scm.branch.build-tools>
        <maven.release.version>2.5.1</maven.release.version>
        <timestamp>${maven.build.timestamp}</timestamp>
        <maven.build.timestamp.format>yyyy-MM-dd HH:mm</maven.build.timestamp.format>
        <postgresql.embedded.version>0.12.1</postgresql.embedded.version> 
        <surefire.version>2.22.1</surefire.version>
        <junit.version>4.12</junit.version>
        <maven.source.version>3.0.1</maven.source.version>
    </properties>
    <description>
        used for having all reports from builds
    </description>
    <scm>
        <developerConnection>scm:svn:https://subversion.renater.fr/si-soere-kernel/trunk/devel/si_kernel/${scm.branch.1709}</developerConnection>
        <connection>scm:svn:https://subversion.renater.fr/si-soere-kernel/trunk/devel/si_kernel/${scm.branch.1709}</connection>
        <url>scm:svn:https://subversion.renater.fr/si-soere-kernel/trunk/devel/si_kernel/${scm.branch.1709}</url>
    </scm>
    <distributionManagement>
        <repository>
            <id>sourcesup</id>
            <url>http://sourcesup.renater.fr/nexus/content/repositories/si-soere-kernel-releases</url>
        </repository>
        <snapshotRepository>
            <id>sourcesup</id>
            <url>http://sourcesup.renater.fr/nexus/content/repositories/si-soere-kernel-snapshots</url>
        </snapshotRepository>
    </distributionManagement>
    <build>
        <sourceDirectory>src/main/java</sourceDirectory>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**</include>
                </includes>
                <excludes>
                    <exclude>**/*.java</exclude>
                </excludes>
            </resource>
        </resources>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>${maven.source.version}</version>
                <executions>
                    <execution>
                        <id>test-jar</id>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                        <configuration>
                            <excludes>
                                <exclude>META-INF/**</exclude>
                                <exclude>log4j**</exclude>
                            </excludes>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-release-plugin</artifactId>
                <version>${maven.release.version}</version>
                <configuration>
                    <checkModificationExcludes>
                        <checkModificationExclude>pom.xml</checkModificationExclude>
                    </checkModificationExcludes>
                    <tagBase>https://subversion.renater.fr/si-soere-kernel/trunk/devel/si_kernel/${scm.tags.build-tools}</tagBase>
                    <branchBase>https://subversion.renater.fr/si-soere-kernel/trunk/devel/si_kernel/${scm.branch.build-tools}</branchBase>
                    <branchName>${majorVersion}</branchName>
                    <tagNameFormat>@{project.version}</tagNameFormat>
                    <tag>${project.version}</tag>
                    <branchName>${project.version}</branchName>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>${surefire.version}</version>
                <!--version>2.16</version -->
                <configuration>
                    <argLine>-Duser.timezone=Europe/Paris</argLine>
                    <forkCount>1</forkCount>
                    <reuseForks>false</reuseForks>
                    <skipTests>false</skipTests>
                    <testSourceDirectory>src/test</testSourceDirectory>
                    <systemPropertyVariables>
                        <propertyName>concordion.output.dir</propertyName>
                        <buildDirectory>target/concordion</buildDirectory>
                        <lib>${project.build.testOutputDirectory}/WEB-INF/lib</lib>                  
                        <java.io.tmpdir>${project.basedir}/target</java.io.tmpdir>
                    </systemPropertyVariables>
                    <testFailureIgnore>false</testFailureIgnore>
                    <includes>
                        <include>**/*Test.java</include>
                        <include>**/*Runner.java</include>
                    </includes>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>org.apache.maven.surefire</groupId>
                        <artifactId>surefire-junit47</artifactId>
                        <version>${surefire.version}</version>
                        <!--version>2.16</version -->
                    </dependency>
                </dependencies>
            </plugin>
        </plugins>
    </build>
    <dependencies>
        <dependency>
            <groupId>com.opentable.components</groupId>
            <artifactId>otj-pg-embedded</artifactId>
            <version>${postgresql.embedded.version}</version>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit.version}</version>
            <scope>test</scope>
            <type>jar</type>
        </dependency>
    </dependencies>
</project>
